this.hunters_back_situation <- this.inherit("scripts/entity/world/settlements/situations/situation", {
	m = {},
	function create()
	{
		this.situation.create();
		this.m.ID = "situation.hunters_trophies";
		this.m.Name = "Hunters Trophies";
		this.m.Description = "Hunters were back to village and brought some trophies to sell. Also it is good time to hire hunters and poachers.";
		this.m.Icon = "ui/backgrounds/background_21.png";
		this.m.IsStacking = false;
		this.m.ValidDays = 7;
	}

	function getAddedString( _s )
	{
		return _s + " has " + this.m.Name + " into marketplace";
	}

	function getRemovedString( _s )
	{
		return this.m.Name + " have left from " + _s + " marketplace";
	}

	function onAdded( _settlement )
	{
		_settlement.resetShop();
		_settlement.resetRoster(true);
	}

	function onUpdateShop( _stash )
	{
		if (_stash.getID() == "shop")
		{
			local count = this.Math.rand(2, 5);

			local list = ["ghoul_teeth_item", "ghoul_horn_item", "ghoul_brain_item", "poison_gland_item", "spider_silk_item", "adrenaline_gland_item", "werewolf_pelt_item"];

			do
			{
				local r = this.Math.rand(0, _partyList.len() - 1);
				local item = this.new("scripts/items/misc/" + list[r]);
				_stash.add(item);
			}
			while (--count > 0)
		}
	}

	function onUpdateDraftList( _draftList )
	{
		_draftList.push("hunter_background");
		_draftList.push("hunter_background");
		_draftList.push("poacher_background");
		_draftList.push("poacher_background");
		_draftList.push("poacher_background");
	}
});
