this.flashing_potion_secret_event <- this.inherit("scripts/events/event", {
	m = {
		Servant = null,
		Town = null,
	},
	function create()
	{
		this.m.ID = "event.flashing_potion_secret";
		this.m.Title = "At %townname%";
		this.m.Cooldown = 1.0 * this.World.getTime().SecondsPerDay;
		this.m.Screens.push({
			ID = "A",
			Text = "[img]gfx/ui/events/event_64.png[/img]{As usually at town everyone makes their own deal, you decide to have a shrot walk to stare on shops desks. I come across %servant%, you even don\'t recognize him - his face is bleeding and stained of blood. He looks at you, smiles and says.%SPEECH_ON%Oh, don\'t worry - I\'ve just hurted my eye. Damn, don\'t see anything. I met my old friend, we\'re serving to one lord together. He is inventor, he showed me result of his last work. Flashing Potion - glowing resin, coal, sulphur. and... don\'t remember. He asked me help to test it, but something went wrong and it\'d exploded early, small fuse, he said. So, it works - I\'m a bit blinded.%SPEECH_OFF%He contionues smiling. You take him and try to escort to camp.}",
			Image = "",
			List = [],
			Characters = [],
			Options = [
				{
					Text = "Anyway you need rest and cure.",
					function getResult( _event )
					{
						return 0;
					}

				}
			],
			function start( _event )
			{
				this.Characters.push(_event.m.Servant.getImagePath());

				_event.m.Servant.getSkills().add(this.new("scripts/skills/injury/grazed_eye_socket_injury"));
				result.push({
					id = 10,
					icon = effect.getIcon(),
					text = _event.m.Servant.getName() + " hurted eye"
				});

				local itemResearched = this.new("scripts/items/tools/flashing_potion_item");
				this.List.push({
					id = 10,
					icon = "ui/items/" + itemResearched.getIcon(),
					text = "You get recipe of " + itemResearched.getName()
				});

				this.World.Tags.set("FlashingPotionSecret", true);
			}
		});
	}

	function onUpdateScore()
	{
		if (this.World.Tags.get("FlashingPotionSecret") == true)
		{
			return;
		}

		local towns = this.World.EntityManager.getSettlements();
		local nearTown = false;
		local town;
		local playerTile = this.World.State.getPlayer().getTile();

		foreach( t in towns )
		{
			if (t.getTile().getDistanceTo(playerTile) <= 3 && t.isAlliedWithPlayer())
			{
				nearTown = true;
				town = t;
				break;
			}
		}

		if (!nearTown)
		{
			return;
		}

		local brothers = this.World.getPlayerRoster().getAll();
		local candidates_servant = [];

		foreach( bro in brothers )
		{
			if (bro.getBackground().getID() == "background.minstrel" ||
			bro.getBackground().getID() == "background.eunuch" ||
			bro.getBackground().getID() == "background.servant" ||
			bro.getBackground().getID() == "background.pimp" ||
			bro.getBackground().getID() == "background.juggler")
			{
				candidates_servant.push(bro);
			}
		}

		if (candidates_servant.len() == 0)
		{
			return;
		}

		this.m.Servant = candidates_servant[this.Math.rand(0, candidates_servant.len() - 1)];
		this.m.Town = town;
		this.m.Score = 500;
	}

	function onPrepare()
	{
	}

	function onPrepareVariables( _vars )
	{
		_vars.push([
			"servant",
			this.m.Servant.getNameOnly()
		]);
		_vars.push([
			"townname",
			this.m.Town.getName()
		]);
	}

	function onClear()
	{
		this.m.Servant = null;
		this.m.Town = null;
	}
});
