this.big_bag_item <- this.inherit("scripts/items/accessory/accessory", {
	m = {
		ItemsToRemove = []
	},
	function create()
	{
		this.accessory.create();
		this.m.ID = "accessory.big_bag";
		this.m.Name = "Large Bag";
		this.m.Description = "This large bag can help to storage a lot items.";
		this.m.SlotType = this.Const.ItemSlot.Accessory;
		this.m.ItemType = this.Const.Items.ItemType.Bag;
		this.m.IsDroppedAsLoot = true;
		this.m.ShowOnCharacter = true;
		this.m.IconLarge = "";
		this.m.Icon = "accessory/large_bag.png";
		this.m.Sprite = "";
		this.m.Value = 300;
		this.m.StaminaModifier = -5;
	}

	function getTooltip()
	{
		local result = [
			{
				id = 1,
				type = "title",
				text = this.getName()
			},
			{
				id = 2,
				type = "description",
				text = this.getDescription()
			}
		];
		result.push({
			id = 66,
			type = "text",
			text = this.getValueString()
		});

		if (this.getIconLarge() != null)
		{
			result.push({
				id = 3,
				type = "image",
				image = this.getIconLarge(),
				isLarge = true
			});
		}
		else
		{
			result.push({
				id = 3,
				type = "image",
				image = this.getIcon()
			});
		}

		result.push({
			id = 10,
			type = "text",
			icon = "ui/icons/special.png",
			text = "Add 2 extra slot to character"
		});
		return result;
	}

	function onEquip()
	{
		this.accessory.onEquip();

		this.getContainer().getActor().getItems().setUnlockedBagSlots(4);
	}

	function onUnequip()
	{
		this.accessory.onUnequip();

		local items = this.getContainer().getActor().getItems();
		local a = items.getItemAtBagSlot(2);

		if (a != null)
		{
			this.m.ItemsToRemove.push(a);
		}

		a = items.getItemAtBagSlot(3);

		if (a != null)
		{
			this.m.ItemsToRemove.push(a);
		}
		
		items.setUnlockedBagSlots(2);
	}

	function onAddedToStash( _stashID )
	{
		if (this.m.ItemsToRemove != null)
		{
			foreach(itemToRemove in this.m.ItemsToRemove)
			{
				local items = itemToRemove.getContainer().getActor().getItems();
				if (items != null)
				{
					items.removeFromBag(itemToRemove);
					this.World.Assets.getStash().add(itemToRemove);
				}
			}

			this.m.ItemsToRemove = [];
		}
	}
});
