this.medical_kit_item <- this.inherit("scripts/items/accessory/accessory", {
	m = {
		Charges = 3,
		MaxCharges = 3,
	},
	function create()
	{
		this.accessory.create();
		this.m.ID = "accessory.medical_kit";
		this.m.Name = "MEdical Kit";
		this.m.Description = "Bag is full of bandages and antidotes to give first aid.";
		this.m.SlotType = this.Const.ItemSlot.Accessory;
		this.m.ItemType = this.Const.Items.ItemType.Bag;
		this.m.IsDroppedAsLoot = true;
		this.m.ShowOnCharacter = true;
		this.m.IconLarge = "";
		this.m.Icon = "accessory/medical_kit_70x70.png";
		this.m.Sprite = "";
		this.m.Value = 200;
	}

	function getTooltip()
	{
		local result = [
			{
				id = 1,
				type = "title",
				text = this.getName()
			},
			{
				id = 2,
				type = "description",
				text = this.getDescription()
			}
		];
		result.push({
			id = 66,
			type = "text",
			text = this.getValueString()
		});

		if (this.getIconLarge() != null)
		{
			result.push({
				id = 3,
				type = "image",
				image = this.getIconLarge(),
				isLarge = true
			});
		}
		else
		{
			result.push({
				id = 3,
				type = "image",
				image = this.getIcon()
			});
		}

		result.push({
			id = 10,
			type = "text",
			icon = "ui/icons/special.png",
			text = "Has [color=" + this.Const.UI.Color.PositiveValue + "]" + this.m.Charges + "[/color] charges (up to 3) to remove bleeding or poison effect. Recharge with Medical Supplies after battle."
		});
		return result;
	}

	function getCharges()
	{
		return this.m.Charges;
	}

	function useCharge()
	{
		this.m.Charges--;
	}

	function onEquip()
	{
		this.accessory.onEquip();
		local skill = this.new("scripts/skills/actives/cure_ally_skill");
		skill.setItem(this);
		this.addSkill(skill);
	}

	function refillCharges(maxCount)
	{
		local needed = this.Math.min(maxCount, (this.m.MaxCharges - this.m.Charges));
		this.m.Charges += needed;

		return needed;
	}

	function onSerialize( _out )
	{
		this.item.onSerialize(_out);
		_out.writeU16(this.m.Charges);
	}

	function onDeserialize( _in )
	{
		this.item.onDeserialize(_in);
		this.m.Charges = _in.readU16();
	}
});
