this.flashing_potion_effect <- this.inherit("scripts/skills/skill", {
	m = {
		TurnsLeft = 3,
		LastRoundApplied = 0
	},
	function create()
	{
		this.m.ID = "effects.flashing_potion";
		this.m.Name = "Blinded by Flashing Potion";
		this.m.Icon = "skills/status_effect_flashing_potion.png";
		this.m.IconMini = "status_effect_flashing_potion_mini";
		this.m.Overlay = "status_effect_flashing_potion";
		this.m.SoundOnUse = [
			"sounds/combat/poison_applied_01.wav",
			"sounds/combat/poison_applied_02.wav"
		];
		this.m.Type = this.Const.SkillType.StatusEffect;
		this.m.IsActive = false;
		this.m.IsStacking = true;
		this.m.IsRemovedAfterBattle = true;
	}

	function resetTime()
	{
		this.m.TurnsLeft = this.Math.max(1, 3 + this.getContainer().getActor().getCurrentProperties().NegativeStatusEffectDuration);

		if (this.m.SoundOnUse.len() != 0)
		{
			this.Sound.play(this.m.SoundOnUse[this.Math.rand(0, this.m.SoundOnUse.len() - 1)], this.Const.Sound.Volume.RacialEffect * 1.25, this.getContainer().getActor().getPos());
		}

		this.spawnIcon(this.m.Overlay, this.getContainer().getActor().getTile());
	}

	function onAdded()
	{
		this.m.TurnsLeft = this.Math.max(1, 3 + this.getContainer().getActor().getCurrentProperties().NegativeStatusEffectDuration);

		if (!this.getContainer().getActor().isHiddenToPlayer())
		{
			this.Tactical.EventLog.log(this.Const.UI.getColorizedEntityName(this.getContainer().getActor()) + " gets blinded");
		}
	}

	function onUpdate( _properties )
	{
		_properties.Vision -= 4;
	}

	function onTurnEnd()
	{
		if (--this.m.TurnsLeft <= 0)
		{
			this.removeSelf();
		}
	}
});
