this.collapsed_lung_part_injury <- this.inherit("scripts/skills/injury_permanent/permanent_injury", {
	m = {
		Painless = false
	},
	function create()
	{
		this.permanent_injury.create();
		this.m.ID = "injury.collapsed_lung_part";
		this.m.Name = "Partly Collapsed Lung";
		this.m.Description = "A part of the lung has died, making it very hard for this character to catch breath.";
		this.m.Icon = "ui/injury/injury_permanent_icon_05.png";
	}

	function getTooltip()
	{
		local ret = [
			{
				id = 1,
				type = "title",
				text = this.getName()
			},
			{
				id = 2,
				type = "description",
				text = this.getDescription()
			},
			{
				id = 7,
				type = "text",
				icon = "ui/icons/fatigue.png",
				text = "[color=" + this.Const.UI.Color.NegativeValue + "]-" + (this.m.Painless ? 20 : 40) + "%[/color] Fatigue"
			},
			{
				id = 16,
				type = "text",
				icon = "ui/icons/special.png",
				text = "Is always content with being in reserve"
			}
		];
		this.addTooltipHint(ret);
		return ret;
	}

	function onUpdate( _properties )
	{
		this.m.Painless = this.getContainer().getActor().getSkills().hasSkill("effects.bull_potion");

		_properties.StaminaMult *= this.m.Painless ? 0.8 : 0.6;
		_properties.IsContentWithBeingInReserve = true;
	}

	function onApplyAppearance()
	{
	}

});
