this.perk_bags_and_belts <- this.inherit("scripts/skills/skill", {
	m = {},
	function create()
	{
		this.m.ID = "perk.bags_and_belts";
		this.m.Name = this.Const.Strings.PerkName.BagsAndBelts;
		this.m.Description = this.Const.Strings.PerkDescription.BagsAndBelts;
		this.m.Icon = "ui/perks/perk_20.png";
		this.m.Type = this.Const.SkillType.Perk;
		this.m.Order = this.Const.SkillOrder.Perk;
		this.m.IsActive = false;
		this.m.IsStacking = false;
		this.m.IsHidden = false;
	}

	function onAdded()
	{
		local items = this.getContainer().getActor().getItems().getAllItems();

		foreach( item in items )
		{
			this.logDebug("onAdded check item" + item);

			if (item.isItemType(this.Const.Items.ItemType.Ammo))
			{
				item.setAmmoMax(this.Math.ceil(item.getAmmoMax() * 1.5));
				local a = item.refillAmmo(this.World.Assets.getAmmo());
				this.World.Assets.setAmmo(this.World.Assets.getAmmo() - a);
			}
		}
	}

	function onRemoved()
	{
		local items = this.getContainer().getActor().getItems().getAllItems();

		foreach( item in items )
		{
			if (item.isItemType(this.Const.Items.ItemType.Ammo))
			{
				item.setAmmoMax(this.Math.floor(item.getAmmoMax() / 1.5));
				local a = item.refillAmmo(this.World.Assets.getAmmo());
				this.World.Assets.setAmmo(this.World.Assets.getAmmo() - a);
			}
		}
	}

	function onItemEquiped(_item)
	{
		if (_item.isItemType(this.Const.Items.ItemType.Ammo))
		{
			_item.setAmmoMax(this.Math.ceil(_item.getAmmoMax() * 1.5));
			local a = _item.refillAmmo(this.World.Assets.getAmmo());
			this.World.Assets.setAmmo(this.World.Assets.getAmmo() - a);
		}
	}

	function onItemUnequiped(_item)
	{
		if (_item.isItemType(this.Const.Items.ItemType.Ammo))
		{
			_item.setAmmoMax(this.Math.floor(_item.getAmmoMax() / 1.5));
			local a = _item.refillAmmo(this.World.Assets.getAmmo());
			this.World.Assets.setAmmo(this.World.Assets.getAmmo() - a);
		}
	}

	function OnItemAddedToBag(_item)
	{
		if (_item.isItemType(this.Const.Items.ItemType.Ammo))
		{
			_item.setAmmoMax(this.Math.ceil(_item.getAmmoMax() * 1.5));
			local a = _item.refillAmmo(this.World.Assets.getAmmo());
			this.World.Assets.setAmmo(this.World.Assets.getAmmo() - a);
		}
	}

	function OnItemRemovedFromBag(_item)
	{
		if (_item.isItemType(this.Const.Items.ItemType.Ammo))
		{
			_item.setAmmoMax(this.Math.floor(_item.getAmmoMax() / 1.5));
			local a = _item.refillAmmo(this.World.Assets.getAmmo());
			this.World.Assets.setAmmo(this.World.Assets.getAmmo() - a);
		}
	}
});
